1 Reply Latest reply on Mar 25, 2014 11:19 AM by Christian Sadilek

    Cannot run Errai app with GWT 2.5.1

    xybrek Newbie

      When I run my gwt app it throws this error:

       

          00:01:09.317 [TRACE] Finding entry point classes

          00:01:09.317 [ERROR] Errors in 'jar:file:/home/xybrek/.m2/repository/com/google/gwt/gwt-user/2.5.1/gwt-user-2.5.1.jar!/com/google/gwt/core/client/GWT.java'

          00:01:09.317 [ERROR] Line 276: The method setBridge(GWTBridge) in the type GWT is not applicable for the arguments (GWTBridge)

          00:01:09.320 [DEBUG] Checked 299 dependencies for errors.

          00:01:09.320 [ERROR] Unable to find type 'org.jboss.errai.enterprise.client.cdi.CDIClientBootstrap'

          00:01:09.321 [ERROR] Hint: Previous compiler errors may have made this type unavailable

          00:01:09.321 [ERROR] Hint: Check the inheritance chain from your module; it may not be inheriting a required module or a module may not be adding its source path entries properly

          00:01:09.322 [ERROR] Failed to load module 'app' from user agent 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.71 Safari/537.36' at labs.localhost:35785

       

      The version of GWT that my app uses is `2.5.1` and Errai version is: 3.0-SNAPSHOT

       

      When I upgrade to GWT version 2.6.0 more errors comes out, so I decided to fix with 2.5.1